You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@flink.apache.org by mo...@apache.org on 2022/12/02 19:18:19 UTC

[flink-kubernetes-operator] branch main updated: [FLINK-30281] Parsing for log4j error entry instead of plain error string in e2e tests

This is an automated email from the ASF dual-hosted git repository.

morhidi pushed a commit to branch main
in repository https://gitbox.apache.org/repos/asf/flink-kubernetes-operator.git


The following commit(s) were added to refs/heads/main by this push:
     new 31e2e10f [FLINK-30281] Parsing for log4j error entry instead of plain error string in e2e tests
31e2e10f is described below

commit 31e2e10f112385120ac44378eaaa2e39b338ea61
Author: Gabor Somogyi <ga...@apple.com>
AuthorDate: Fri Dec 2 15:11:42 2022 +0100

    [FLINK-30281] Parsing for log4j error entry instead of plain error string in e2e tests
---
 e2e-tests/utils.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/e2e-tests/utils.sh b/e2e-tests/utils.sh
index b092b7a2..8db0059e 100755
--- a/e2e-tests/utils.sh
+++ b/e2e-tests/utils.sh
@@ -142,7 +142,8 @@ function check_operator_log_for_errors {
       | grep -v "Error during event processing" `#https://issues.apache.org/jira/browse/FLINK-30149` \
       | grep -v "REST service in session cluster is bad now" `#https://issues.apache.org/jira/browse/FLINK-30150` \
       | grep -v "AuditUtils" `#https://issues.apache.org/jira/browse/FLINK-30151` \
-      | grep -i "error" || true)
+      | grep -v "Error while patching status" `#https://issues.apache.org/jira/browse/FLINK-30283` \
+      | grep -e "\[\s*ERROR\s*\]" || true)
   if [ -z "${errors}" ]; then
     echo "No errors in log files."
     return 0